/// <reference types="webpack" />
import { Rule } from 'webpack';
import { CSSLoaderOptions } from './utils';
export declare const BABEL_OPTIONS: {
    presets: (string | (string | {
        loose: boolean;
        modules: boolean;
    })[])[];
    plugins: (string | (string | {
        libraryName: string;
    }[])[])[];
    cacheDirectory: boolean;
};
export declare const cssLoaderOptions: () => CSSLoaderOptions;
export declare const WEBPACK_LOADERS: () => Rule[];
