import { $isProd } from '../env'
import { CONFIG } from '../config'

export const WEBPACK_DEV_TOOL = () => $isProd
  ? false
  : 'cheap-eval-source-map'

export const WEBPACK_DEV_SERVER = () => ({
  host: '0.0.0.0',
  port: CONFIG.PORT,
  hot: true,
  disableHostCheck: true,
  headers: {
    'Access-Control-Allow-Origin': '*'
  }
})
