export const composeWith = (...args) => (value) =>
  args.reduceRight((x, fn) => fn(x), value)

const addOne = (number) => number + 1

const doubleOf = (number) => number * 2

const doubleOfAddOne = composeWith(doubleOf, addOne)

console.log(`ES:${doubleOfAddOne(2)}`)
