import { expect } from 'chai'
import { CONFIG, updateConfig } from '../lib'

describe('Config', () => {

  it('Read config', () => {
    const result   = CONFIG.PORT
    const expected = 8081

    expect(result).to.equal(expected)
  })

  it('Update config', () => {
    const DIST_DIR = 'lib'
    updateConfig({ DIST_DIR })

    const result   = CONFIG.DIST_DIR
    const expected = DIST_DIR

    expect(result).to.equal(expected)
  })

})
