import { expect } from 'chai'
import { PROJECT_ROOT, $isProd } from '../lib'

describe('Env', () => {

  it('Get project root dir', () => {
    const result   = PROJECT_ROOT.split('/').pop()
    const expected = 'JK-Build-Suite'

    expect(result).to.equal(expected)
  })

  it('Is not prod', () => {
    const result   = $isProd
    const expected = false

    expect(result).to.equal(expected)
  })

})
