"use strict";
exports.__esModule = true;
var env_1 = require("./env");
exports.CONFIG = {
    PREFIX: '',
    PORT: 8081,
    CDN_HOST: 'http://localhost',
    DIST_DIR: 'dist',
    ASSETS_DIR: 'static',
    CSS_MODULES: false,
    PX_TO_REM: false
};
exports.updateConfig = function (newConfig) {
    Object.assign(exports.CONFIG, newConfig);
};
if (env_1.$isProd) {
    var prodConfig = {
        CDN_HOST: 'https://cdn.ruguoapp.com'
    };
    exports.updateConfig(prodConfig);
}
