const Style = require('./cssmodules.styl')

import * as React from 'react'
import { ConfigSchema } from '../lib'

import 'jk-icons/lib/styles/jk-icons.styl'

export const fingerprint   = require('./assets/fingerprint.svg')
export const gradeTemplate = require('./assets/grade-template.png')
export const CONFIG: ConfigSchema = __CONFIG__

export class App extends React.Component<{}, {}> {

  render () {
    return (
      <div className={ `app ${Style.appTheme}` }>
        { `${CONFIG.DIST_DIR}: React App Test` }
        <div id={ 'vue-app' } />
      </div>
    )
  }

}
