import { AppContainer } from 'react-hot-loader'

const getHotModuleReload = (): any => {
  if (__DEBUG__) {
    return AppContainer
  } else {
    return ({ children }) => children
  }
}

export const HotModuleReload = getHotModuleReload()
